/*
 * Internal module API header file.
 *
 * Generated by SIP 6.10.0
 *
 * Copyright (c) 2025 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-WebEngine.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineQuickAPI_H
#define _QtWebEngineQuickAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_9_0
#define SIP_TIMELINE_QtWebEngine_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QQuickWebEngineProfile__PersistentPermissionsPolicy 0
#define sipName_QQuickWebEngineProfile__PersistentPermissionsPolicy &sipStrings_QtWebEngineQuick[0]
#define sipNameNr_QQuickWebEngineProfile__PersistentCookiesPolicy 52
#define sipName_QQuickWebEngineProfile__PersistentCookiesPolicy &sipStrings_QtWebEngineQuick[52]
#define sipNameNr_QQuickWebEngineProfile__HttpCacheType 100
#define sipName_QQuickWebEngineProfile__HttpCacheType &sipStrings_QtWebEngineQuick[100]
#define sipNameNr_persistentPermissionsPolicyChanged 138
#define sipName_persistentPermissionsPolicyChanged &sipStrings_QtWebEngineQuick[138]
#define sipNameNr_listPermissionsForPermissionType 173
#define sipName_listPermissionsForPermissionType &sipStrings_QtWebEngineQuick[173]
#define sipNameNr_persistentCookiesPolicyChanged 206
#define sipName_persistentCookiesPolicyChanged &sipStrings_QtWebEngineQuick[206]
#define sipNameNr_setPersistentPermissionsPolicy 237
#define sipName_setPersistentPermissionsPolicy &sipStrings_QtWebEngineQuick[237]
#define sipNameNr_persistentStoragePathChanged 268
#define sipName_persistentStoragePathChanged &sipStrings_QtWebEngineQuick[268]
#define sipNameNr_PersistentPermissionsPolicy 24
#define sipName_PersistentPermissionsPolicy &sipStrings_QtWebEngineQuick[24]
#define sipNameNr_httpCacheMaximumSizeChanged 297
#define sipName_httpCacheMaximumSizeChanged &sipStrings_QtWebEngineQuick[297]
#define sipNameNr_persistentPermissionsPolicy 325
#define sipName_persistentPermissionsPolicy &sipStrings_QtWebEngineQuick[325]
#define sipNameNr_removeAllUrlSchemeHandlers 353
#define sipName_removeAllUrlSchemeHandlers &sipStrings_QtWebEngineQuick[353]
#define sipNameNr_setPersistentCookiesPolicy 380
#define sipName_setPersistentCookiesPolicy &sipStrings_QtWebEngineQuick[380]
#define sipNameNr_spellCheckLanguagesChanged 407
#define sipName_spellCheckLanguagesChanged &sipStrings_QtWebEngineQuick[407]
#define sipNameNr_httpAcceptLanguageChanged 434
#define sipName_httpAcceptLanguageChanged &sipStrings_QtWebEngineQuick[434]
#define sipNameNr_pushServiceEnabledChanged 460
#define sipName_pushServiceEnabledChanged &sipStrings_QtWebEngineQuick[460]
#define sipNameNr_listPermissionsForOrigin 486
#define sipName_listPermissionsForOrigin &sipStrings_QtWebEngineQuick[486]
#define sipNameNr_setPersistentStoragePath 511
#define sipName_setPersistentStoragePath &sipStrings_QtWebEngineQuick[511]
#define sipNameNr_setUrlRequestInterceptor 536
#define sipName_setUrlRequestInterceptor &sipStrings_QtWebEngineQuick[536]
#define sipNameNr_spellCheckEnabledChanged 561
#define sipName_spellCheckEnabledChanged &sipStrings_QtWebEngineQuick[561]
#define sipNameNr_PersistentCookiesPolicy 76
#define sipName_PersistentCookiesPolicy &sipStrings_QtWebEngineQuick[76]
#define sipNameNr_clearHttpCacheCompleted 586
#define sipName_clearHttpCacheCompleted &sipStrings_QtWebEngineQuick[586]
#define sipNameNr_installUrlSchemeHandler 610
#define sipName_installUrlSchemeHandler &sipStrings_QtWebEngineQuick[610]
#define sipNameNr_persistentCookiesPolicy 634
#define sipName_persistentCookiesPolicy &sipStrings_QtWebEngineQuick[634]
#define sipNameNr_setHttpCacheMaximumSize 658
#define sipName_setHttpCacheMaximumSize &sipStrings_QtWebEngineQuick[658]
#define sipNameNr_AllowPersistentCookies 682
#define sipName_AllowPersistentCookies &sipStrings_QtWebEngineQuick[682]
#define sipNameNr_ForcePersistentCookies 705
#define sipName_ForcePersistentCookies &sipStrings_QtWebEngineQuick[705]
#define sipNameNr_PyQt6_QtWebEngineQuick 728
#define sipName_PyQt6_QtWebEngineQuick &sipStrings_QtWebEngineQuick[728]
#define sipNameNr_QQuickWebEngineProfile 751
#define sipName_QQuickWebEngineProfile &sipStrings_QtWebEngineQuick[751]
#define sipNameNr_clientCertificateStore 774
#define sipName_clientCertificateStore &sipStrings_QtWebEngineQuick[774]
#define sipNameNr_removeUrlSchemeHandler 797
#define sipName_removeUrlSchemeHandler &sipStrings_QtWebEngineQuick[797]
#define sipNameNr_setSpellCheckLanguages 820
#define sipName_setSpellCheckLanguages &sipStrings_QtWebEngineQuick[820]
#define sipNameNr_persistentStoragePath 843
#define sipName_persistentStoragePath &sipStrings_QtWebEngineQuick[843]
#define sipNameNr_setHttpAcceptLanguage 865
#define sipName_setHttpAcceptLanguage &sipStrings_QtWebEngineQuick[865]
#define sipNameNr_setPushServiceEnabled 887
#define sipName_setPushServiceEnabled &sipStrings_QtWebEngineQuick[887]
#define sipNameNr_httpCacheMaximumSize 909
#define sipName_httpCacheMaximumSize &sipStrings_QtWebEngineQuick[909]
#define sipNameNr_httpCacheTypeChanged 930
#define sipName_httpCacheTypeChanged &sipStrings_QtWebEngineQuick[930]
#define sipNameNr_httpUserAgentChanged 951
#define sipName_httpUserAgentChanged &sipStrings_QtWebEngineQuick[951]
#define sipNameNr_isPushServiceEnabled 972
#define sipName_isPushServiceEnabled &sipStrings_QtWebEngineQuick[972]
#define sipNameNr_setSpellCheckEnabled 993
#define sipName_setSpellCheckEnabled &sipStrings_QtWebEngineQuick[993]
#define sipNameNr_NoPersistentCookies 1014
#define sipName_NoPersistentCookies &sipStrings_QtWebEngineQuick[1014]
#define sipNameNr_downloadPathChanged 1034
#define sipName_downloadPathChanged &sipStrings_QtWebEngineQuick[1034]
#define sipNameNr_isSpellCheckEnabled 1054
#define sipName_isSpellCheckEnabled &sipStrings_QtWebEngineQuick[1054]
#define sipNameNr_offTheRecordChanged 1074
#define sipName_offTheRecordChanged &sipStrings_QtWebEngineQuick[1074]
#define sipNameNr_presentNotification 1094
#define sipName_presentNotification &sipStrings_QtWebEngineQuick[1094]
#define sipNameNr_spellCheckLanguages 1114
#define sipName_spellCheckLanguages &sipStrings_QtWebEngineQuick[1114]
#define sipNameNr_httpAcceptLanguage 1134
#define sipName_httpAcceptLanguage &sipStrings_QtWebEngineQuick[1134]
#define sipNameNr_listAllPermissions 1153
#define sipName_listAllPermissions &sipStrings_QtWebEngineQuick[1153]
#define sipNameNr_storageNameChanged 1172
#define sipName_storageNameChanged &sipStrings_QtWebEngineQuick[1172]
#define sipNameNr_QtWebEngineQuick 734
#define sipName_QtWebEngineQuick &sipStrings_QtWebEngineQuick[734]
#define sipNameNr_cachePathChanged 1191
#define sipName_cachePathChanged &sipStrings_QtWebEngineQuick[1191]
#define sipNameNr_disconnectNotify 1208
#define sipName_disconnectNotify &sipStrings_QtWebEngineQuick[1208]
#define sipNameNr_setHttpCacheType 1225
#define sipName_setHttpCacheType &sipStrings_QtWebEngineQuick[1225]
#define sipNameNr_setHttpUserAgent 1242
#define sipName_setHttpUserAgent &sipStrings_QtWebEngineQuick[1242]
#define sipNameNr_urlSchemeHandler 1259
#define sipName_urlSchemeHandler &sipStrings_QtWebEngineQuick[1259]
#define sipNameNr_MemoryHttpCache 1276
#define sipName_MemoryHttpCache &sipStrings_QtWebEngineQuick[1276]
#define sipNameNr_queryPermission 1292
#define sipName_queryPermission &sipStrings_QtWebEngineQuick[1292]
#define sipNameNr_removeUrlScheme 1308
#define sipName_removeUrlScheme &sipStrings_QtWebEngineQuick[1308]
#define sipNameNr_setDownloadPath 1324
#define sipName_setDownloadPath &sipStrings_QtWebEngineQuick[1324]
#define sipNameNr_setOffTheRecord 1340
#define sipName_setOffTheRecord &sipStrings_QtWebEngineQuick[1340]
#define sipNameNr_clearHttpCache 1356
#define sipName_clearHttpCache &sipStrings_QtWebEngineQuick[1356]
#define sipNameNr_defaultProfile 1371
#define sipName_defaultProfile &sipStrings_QtWebEngineQuick[1371]
#define sipNameNr_isOffTheRecord 1386
#define sipName_isOffTheRecord &sipStrings_QtWebEngineQuick[1386]
#define sipNameNr_setStorageName 1401
#define sipName_setStorageName &sipStrings_QtWebEngineQuick[1401]
#define sipNameNr_DiskHttpCache 1416
#define sipName_DiskHttpCache &sipStrings_QtWebEngineQuick[1416]
#define sipNameNr_HttpCacheType 124
#define sipName_HttpCacheType &sipStrings_QtWebEngineQuick[124]
#define sipNameNr_StoreInMemory 1430
#define sipName_StoreInMemory &sipStrings_QtWebEngineQuick[1430]
#define sipNameNr_connectNotify 1211
#define sipName_connectNotify &sipStrings_QtWebEngineQuick[1211]
#define sipNameNr_httpCacheType 1444
#define sipName_httpCacheType &sipStrings_QtWebEngineQuick[1444]
#define sipNameNr_httpUserAgent 1458
#define sipName_httpUserAgent &sipStrings_QtWebEngineQuick[1458]
#define sipNameNr_AskEveryTime 1472
#define sipName_AskEveryTime &sipStrings_QtWebEngineQuick[1472]
#define sipNameNr_downloadPath 1485
#define sipName_downloadPath &sipStrings_QtWebEngineQuick[1485]
#define sipNameNr_setCachePath 1498
#define sipName_setCachePath &sipStrings_QtWebEngineQuick[1498]
#define sipNameNr_StoreOnDisk 1511
#define sipName_StoreOnDisk &sipStrings_QtWebEngineQuick[1511]
#define sipNameNr_clientHints 1523
#define sipName_clientHints &sipStrings_QtWebEngineQuick[1523]
#define sipNameNr_cookieStore 1535
#define sipName_cookieStore &sipStrings_QtWebEngineQuick[1535]
#define sipNameNr_customEvent 1547
#define sipName_customEvent &sipStrings_QtWebEngineQuick[1547]
#define sipNameNr_eventFilter 1559
#define sipName_eventFilter &sipStrings_QtWebEngineQuick[1559]
#define sipNameNr_storageName 1571
#define sipName_storageName &sipStrings_QtWebEngineQuick[1571]
#define sipNameNr_childEvent 1583
#define sipName_childEvent &sipStrings_QtWebEngineQuick[1583]
#define sipNameNr_initialize 1594
#define sipName_initialize &sipStrings_QtWebEngineQuick[1594]
#define sipNameNr_timerEvent 1605
#define sipName_timerEvent &sipStrings_QtWebEngineQuick[1605]
#define sipNameNr_cachePath 1616
#define sipName_cachePath &sipStrings_QtWebEngineQuick[1616]
#define sipNameNr_NoCache 1626
#define sipName_NoCache &sipStrings_QtWebEngineQuick[1626]
#define sipNameNr_parent 1634
#define sipName_parent &sipStrings_QtWebEngineQuick[1634]
#define sipNameNr_event 1641
#define sipName_event &sipStrings_QtWebEngineQuick[1641]

#define sipMalloc                   sipAPI_QtWebEngineQuick->api_malloc
#define sipFree                     sipAPI_QtWebEngineQuick->api_free
#define sipBuildResult              sipAPI_QtWebEngineQuick->api_build_result
#define sipCallMethod               sipAPI_QtWebEngineQuick->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngineQuick->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngineQuick->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngineQuick->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngineQuick->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngineQuick->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngineQuick->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngineQuick->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebEngineQuick->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebEngineQuick->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebEngineQuick->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebEngineQuick->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebEngineQuick->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngineQuick->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngineQuick->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngineQuick->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngineQuick->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngineQuick->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngineQuick->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngineQuick->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngineQuick->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngineQuick->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngineQuick->api_trace
#define sipTransferBack             sipAPI_QtWebEngineQuick->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngineQuick->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtWebEngineQuick->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngineQuick->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngineQuick->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngineQuick->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngineQuick->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngineQuick->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngineQuick->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngineQuick->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngineQuick->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtWebEngineQuick->api_call_hook
#define sipEndThread                sipAPI_QtWebEngineQuick->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtWebEngineQuick->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngineQuick->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngineQuick->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngineQuick->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtWebEngineQuick->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtWebEngineQuick->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngineQuick->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngineQuick->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngineQuick->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtWebEngineQuick->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebEngineQuick->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebEngineQuick->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngineQuick->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngineQuick->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngineQuick->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngineQuick->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngineQuick->api_get_state
#define sipExportSymbol             sipAPI_QtWebEngineQuick->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngineQuick->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngineQuick->api_find_type
#define sipBytes_AsChar             sipAPI_QtWebEngineQuick->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngineQuick->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngineQuick->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngineQuick->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngineQuick->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngineQuick->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngineQuick->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngineQuick->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngineQuick->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngineQuick->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngineQuick->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngineQuick->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngineQuick->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtWebEngineQuick->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngineQuick->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngineQuick->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngineQuick->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngineQuick->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngineQuick->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngineQuick->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngineQuick->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtWebEngineQuick->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtWebEngineQuick->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngineQuick->api_export_module
#define sipInitModule               sipAPI_QtWebEngineQuick->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngineQuick->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtWebEngineQuick->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngineQuick->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngineQuick->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngineQuick->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngineQuick->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngineQuick->api_get_method
#define sipFromMethod               sipAPI_QtWebEngineQuick->api_from_method
#define sipGetDate                  sipAPI_QtWebEngineQuick->api_get_date
#define sipFromDate                 sipAPI_QtWebEngineQuick->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngineQuick->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngineQuick->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngineQuick->api_get_time
#define sipFromTime                 sipAPI_QtWebEngineQuick->api_from_time
#define sipIsUserType               sipAPI_QtWebEngineQuick->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtWebEngineQuick->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngineQuick->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngineQuick->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngineQuick->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngineQuick->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngineQuick->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngineQuick->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngineQuick->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngineQuick->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngineQuick->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebEngineQuick->api_register_event_handler
#define sipConvertToArray           sipAPI_QtWebEngineQuick->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngineQuick->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngineQuick->api_enable_gc
#define sipPrintObject              sipAPI_QtWebEngineQuick->api_print_object
#define sipLong_AsChar              sipAPI_QtWebEngineQuick->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebEngineQuick->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebEngineQuick->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebEngineQuick->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebEngineQuick->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebEngineQuick->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebEngineQuick->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebEngineQuick->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngineQuick->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebEngineQuick->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebEngineQuick->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebEngineQuick->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebEngineQuick->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebEngineQuick->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtWebEngineQuick->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtWebEngineQuick->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtWebEngineQuick->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtWebEngineQuick->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtWebEngineQuick->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtWebEngineQuick->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtWebEngineQuick->api_release_type_us
#define sipIsPyMethod               sipAPI_QtWebEngineQuick->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtWebEngineQuick[];

#define sipType_QQuickWebEngineProfile sipExportedTypes_QtWebEngineQuick[0]

#define sipType_QQuickWebEngineProfile_PersistentPermissionsPolicy sipExportedTypes_QtWebEngineQuick[3]

#define sipType_QQuickWebEngineProfile_PersistentCookiesPolicy sipExportedTypes_QtWebEngineQuick[2]

#define sipType_QQuickWebEngineProfile_HttpCacheType sipExportedTypes_QtWebEngineQuick[1]

extern sipClassTypeDef sipTypeDef_QtWebEngineQuick_QQuickWebEngineProfile;

#define sipType_QtWebEngineQuick sipExportedTypes_QtWebEngineQuick[4]

extern sipClassTypeDef sipTypeDef_QtWebEngineQuick_QtWebEngineQuick;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngineQuick;
extern sipExportedModuleDef sipModuleAPI_QtWebEngineQuick;
extern sipTypeDef *sipExportedTypes_QtWebEngineQuick[];

#define sipType_QObject sipImportedTypes_QtWebEngineQuick_QtCore[4].it_td

#define sipType_QByteArray sipImportedTypes_QtWebEngineQuick_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtWebEngineQuick_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtWebEngineQuick_QtCore[7].it_td

#define sipType_QChildEvent sipImportedTypes_QtWebEngineQuick_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtWebEngineQuick_QtCore[3].it_td

#define sipType_QUrl sipImportedTypes_QtWebEngineQuick_QtCore[8].it_td

#define sipType_QStringList sipImportedTypes_QtWebEngineQuick_QtCore[6].it_td

#define sipType_QString sipImportedTypes_QtWebEngineQuick_QtCore[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineQuick_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngineQuick_QtCore[];

#define sipType_QWebEngineClientCertificateStore sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[1].it_td

#define sipType_QWebEngineClientHints sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[2].it_td

#define sipType_QWebEngineCookieStore sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[3].it_td

#define sipType_QWebEngineNotification sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[4].it_td

#define sipType_QWebEnginePermission sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[5].it_td

#define sipType_QWebEnginePermission_PermissionType sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[6].it_td

#define sipType_QWebEngineUrlRequestInterceptor sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[7].it_td

#define sipType_QWebEngineUrlSchemeHandler sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[8].it_td

#define sipType_QList_0100QWebEnginePermission sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngineQuick_QtWebEngineCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngineQuick_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtWebEngineQuick_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngineQuick_qt_metacast;

#endif
